Subject: [Shop-talk] searching for Yazoo parts

From: "John Niolon" <[email-masked]>
Date: Sat, 27 Apr 2013 06:52:12 -0500

Hi Guys

My reliable source for Yazoo mower parts doesn't have what I need...  Mower is
a Yazoo   SV-22-b  22" big wheel mower from the late 70s - early 80s.  I've
used my last spare part off my parts mower and need a 'friction hub housing'
to get it moving again.... does ANYONE know of a parts source on these old
decks...  old lawnmower shops, graveyards, parts houses that might have this
discontined part ??  I hate to see this old warhorse die..  I can email pics
if needed

thanks
John

Many people are alive only because it's illegal to shoot them.
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive